Export Documents
Use this request to export a set of documents to your Vault's file staging server.
POST
/api/{version}/objects/documents/batch/actions/fileextractHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
id | The id value of the document(s) to export. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
source | Optional: To exclude source files, include a query parameter source=false. If omitted, defaults to true. |
renditions | Optional: To include renditions, include a query parameter renditions=true. If omitted, defaults to false. |
allversions | Optional: To include all versions or latest version, include a query parameter allversions=true. If omitted, defaults to false. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-binary @"C:\Vault\Documents\export_documents.json" \
https://myvault.veevavault.com/api/v21.3/objects/documents/batch/actions/fileextract?source=true&renditions=false&allversions=trueExample Body
Section link for Example Body[{"id": "58"}, {"id":"134"}, {"id":"122"}]Response
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v21.3/services/jobs/36203",
"job_id": "36203"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: